### Method

# EDataServer Collator get_index

since: 3.12

#### Declaration [src]

    gint
    e_collator_get_index (
      ECollator* collator,
      const gchar* str
    )

#### Description [src]

Checks which index, as determined by e_collator_get_index_labels(), that `str` should sort under.

Available since: 3.12

#### Parameters

`str`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

The alphabetic index under which `str` would sort.